Get trades
curl --request POST \
--url https://{host}/cdp-api/api/trades/get-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookmark": null,
"queryArgs": {
"trade": {
"tradeDate": {
"filters": [
{
"group": 0,
"operator": "AFTER_OR_EQUALS",
"value": "2026-01-01"
}
],
"sorter": {
"priority": 0,
"sortingDirection": "DESCENDING"
}
}
}
},
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
'import requests
url = "https://{host}/cdp-api/api/trades/get-page"
payload = {
"bookmark": None,
"queryArgs": { "trade": { "tradeDate": {
"filters": [
{
"group": 0,
"operator": "AFTER_OR_EQUALS",
"value": "2026-01-01"
}
],
"sorter": {
"priority": 0,
"sortingDirection": "DESCENDING"
}
} } },
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bookmark: null,
queryArgs: {
trade: {
tradeDate: {
filters: [{group: 0, operator: 'AFTER_OR_EQUALS', value: '2026-01-01'}],
sorter: {priority: 0, sortingDirection: 'DESCENDING'}
}
}
},
rangeLimit: 50,
paging: 'NEXT_PAGE'
})
};
fetch('https://{host}/cdp-api/api/trades/get-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/cdp-api/api/trades/get-page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bookmark' => null,
'queryArgs' => [
'trade' => [
'tradeDate' => [
'filters' => [
[
'group' => 0,
'operator' => 'AFTER_OR_EQUALS',
'value' => '2026-01-01'
]
],
'sorter' => [
'priority' => 0,
'sortingDirection' => 'DESCENDING'
]
]
]
],
'rangeLimit' => 50,
'paging' => 'NEXT_PAGE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/cdp-api/api/trades/get-page"
payload := strings.NewReader("{\n \"bookmark\": null,\n \"queryArgs\": {\n \"trade\": {\n \"tradeDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"AFTER_OR_EQUALS\",\n \"value\": \"2026-01-01\"\n }\n ],\n \"sorter\": {\n \"priority\": 0,\n \"sortingDirection\": \"DESCENDING\"\n }\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/cdp-api/api/trades/get-page")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bookmark\": null,\n \"queryArgs\": {\n \"trade\": {\n \"tradeDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"AFTER_OR_EQUALS\",\n \"value\": \"2026-01-01\"\n }\n ],\n \"sorter\": {\n \"priority\": 0,\n \"sortingDirection\": \"DESCENDING\"\n }\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/cdp-api/api/trades/get-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bookmark\": null,\n \"queryArgs\": {\n \"trade\": {\n \"tradeDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"AFTER_OR_EQUALS\",\n \"value\": \"2026-01-01\"\n }\n ],\n \"sorter\": {\n \"priority\": 0,\n \"sortingDirection\": \"DESCENDING\"\n }\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}"
response = http.request(request)
puts response.read_body{
"bookmark": "eyJsYXN0S2V5IjoiMTAwMSJ9",
"content": [
{
"trade": {
"tradeKey": {
"tradeId": "1001"
},
"tradeType": "ORIGINAL_TRADE",
"tradeEntryType": "REGULAR_TRADE",
"dealId": "DEAL-2026-0042",
"memberId": 100,
"accountId": 5001,
"subAccount": "HOUSE",
"productId": {
"value": 200
},
"instrumentId": 12345,
"currency": "USDC",
"tradeDate": "2026-01-15",
"clearingDate": "2026-01-15",
"tradeSide": "BUY",
"positionEffect": "OPEN",
"price": {
"amount": 142.5,
"currency": "USDC",
"zero": false
},
"quantity": 10,
"tradeValue": {
"amount": 1425,
"currency": "USDC",
"zero": false
},
"reference": null,
"marketId": 1,
"reservedQuantity": 0,
"availableQuantity": 10,
"fee": {
"amount": 1.25,
"currency": "USDC",
"zero": false
},
"tradeStatus": "ACTIVE",
"matchedTimestamp": "2026-01-15T14:30:00.123Z",
"receivedTimestamp": "2026-01-15T14:30:00.100Z",
"orderId": "ORD-98765",
"clOrderId": "CLIENT-ORD-001",
"sideExecutionId": "EXEC-54321",
"customerTypeIndicator": "CTI_1",
"exchangeTradeId": {
"value": 987654321
},
"exchangeTradeReportId": null,
"transferId": null,
"exchange": "XCME",
"tradeSource": "EXCHANGE",
"differentialPrice": null,
"refTradeId": [],
"lastAction": null,
"auditData": {
"lastUpdatedBy": "system",
"lastUpdatedAt": "2026-01-15T14:30:00.150Z"
},
"linkedBustTradeReportId": null
},
"accountCode": "ACC-5001",
"clearingMemberCode": "CM-100",
"instrumentCode": "BTCUSD-FUT-MAR26",
"productCode": "BTC-FUTURES",
"marketCode": "CME"
}
],
"atEnd": true
}Trades
Get trades
Returns a page of trades.
POST
/
api
/
trades
/
get-page
Get trades
curl --request POST \
--url https://{host}/cdp-api/api/trades/get-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookmark": null,
"queryArgs": {
"trade": {
"tradeDate": {
"filters": [
{
"group": 0,
"operator": "AFTER_OR_EQUALS",
"value": "2026-01-01"
}
],
"sorter": {
"priority": 0,
"sortingDirection": "DESCENDING"
}
}
}
},
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
'import requests
url = "https://{host}/cdp-api/api/trades/get-page"
payload = {
"bookmark": None,
"queryArgs": { "trade": { "tradeDate": {
"filters": [
{
"group": 0,
"operator": "AFTER_OR_EQUALS",
"value": "2026-01-01"
}
],
"sorter": {
"priority": 0,
"sortingDirection": "DESCENDING"
}
} } },
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bookmark: null,
queryArgs: {
trade: {
tradeDate: {
filters: [{group: 0, operator: 'AFTER_OR_EQUALS', value: '2026-01-01'}],
sorter: {priority: 0, sortingDirection: 'DESCENDING'}
}
}
},
rangeLimit: 50,
paging: 'NEXT_PAGE'
})
};
fetch('https://{host}/cdp-api/api/trades/get-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/cdp-api/api/trades/get-page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bookmark' => null,
'queryArgs' => [
'trade' => [
'tradeDate' => [
'filters' => [
[
'group' => 0,
'operator' => 'AFTER_OR_EQUALS',
'value' => '2026-01-01'
]
],
'sorter' => [
'priority' => 0,
'sortingDirection' => 'DESCENDING'
]
]
]
],
'rangeLimit' => 50,
'paging' => 'NEXT_PAGE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/cdp-api/api/trades/get-page"
payload := strings.NewReader("{\n \"bookmark\": null,\n \"queryArgs\": {\n \"trade\": {\n \"tradeDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"AFTER_OR_EQUALS\",\n \"value\": \"2026-01-01\"\n }\n ],\n \"sorter\": {\n \"priority\": 0,\n \"sortingDirection\": \"DESCENDING\"\n }\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/cdp-api/api/trades/get-page")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bookmark\": null,\n \"queryArgs\": {\n \"trade\": {\n \"tradeDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"AFTER_OR_EQUALS\",\n \"value\": \"2026-01-01\"\n }\n ],\n \"sorter\": {\n \"priority\": 0,\n \"sortingDirection\": \"DESCENDING\"\n }\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/cdp-api/api/trades/get-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bookmark\": null,\n \"queryArgs\": {\n \"trade\": {\n \"tradeDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"AFTER_OR_EQUALS\",\n \"value\": \"2026-01-01\"\n }\n ],\n \"sorter\": {\n \"priority\": 0,\n \"sortingDirection\": \"DESCENDING\"\n }\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}"
response = http.request(request)
puts response.read_body{
"bookmark": "eyJsYXN0S2V5IjoiMTAwMSJ9",
"content": [
{
"trade": {
"tradeKey": {
"tradeId": "1001"
},
"tradeType": "ORIGINAL_TRADE",
"tradeEntryType": "REGULAR_TRADE",
"dealId": "DEAL-2026-0042",
"memberId": 100,
"accountId": 5001,
"subAccount": "HOUSE",
"productId": {
"value": 200
},
"instrumentId": 12345,
"currency": "USDC",
"tradeDate": "2026-01-15",
"clearingDate": "2026-01-15",
"tradeSide": "BUY",
"positionEffect": "OPEN",
"price": {
"amount": 142.5,
"currency": "USDC",
"zero": false
},
"quantity": 10,
"tradeValue": {
"amount": 1425,
"currency": "USDC",
"zero": false
},
"reference": null,
"marketId": 1,
"reservedQuantity": 0,
"availableQuantity": 10,
"fee": {
"amount": 1.25,
"currency": "USDC",
"zero": false
},
"tradeStatus": "ACTIVE",
"matchedTimestamp": "2026-01-15T14:30:00.123Z",
"receivedTimestamp": "2026-01-15T14:30:00.100Z",
"orderId": "ORD-98765",
"clOrderId": "CLIENT-ORD-001",
"sideExecutionId": "EXEC-54321",
"customerTypeIndicator": "CTI_1",
"exchangeTradeId": {
"value": 987654321
},
"exchangeTradeReportId": null,
"transferId": null,
"exchange": "XCME",
"tradeSource": "EXCHANGE",
"differentialPrice": null,
"refTradeId": [],
"lastAction": null,
"auditData": {
"lastUpdatedBy": "system",
"lastUpdatedAt": "2026-01-15T14:30:00.150Z"
},
"linkedBustTradeReportId": null
},
"accountCode": "ACC-5001",
"clearingMemberCode": "CM-100",
"instrumentCode": "BTCUSD-FUT-MAR26",
"productCode": "BTC-FUTURES",
"marketCode": "CME"
}
],
"atEnd": true
}Authorizations
Body
application/json
Query request for trades.
Was this page helpful?